package fr.monkhanny.dorfromantik.controller;

import fr.monkhanny.dorfromantik.gui.MainMenu;
import fr.monkhanny.dorfromantik.Options;
import fr.monkhanny.dorfromantik.gui.ButtonHoverAnimator;

import java.awt.event.ComponentAdapter;
import java.awt.event.ComponentEvent;
import javax.swing.JButton;

public class MainMenuResizeHandler extends ComponentAdapter {

    private MainMenu mainMenu;

    public MainMenuResizeHandler(MainMenu mainMenu) {
        this.mainMenu = mainMenu;
    }

    @Override
    public void componentResized(ComponentEvent e) {
        int mainMenuWidth = mainMenu.getWidth();

        // Ajuster la taille de la police du titre en fonction de la taille de la fenêtre
        float newFontSize = Options.BASE_TITLE_FONT_SIZE * (mainMenuWidth / 900f);
        mainMenu.getTitleLabel().updateTitleFont(newFontSize);

        // Mettre à jour les polices des boutons
        mainMenu.getButtonPanel().updateButtonFonts(mainMenuWidth);
        ButtonHoverAnimator.updateOriginalFont(mainMenuWidth / 30f); // On passe la nouvelle taille de police pour chaque bouton
    }
}
